kfifo_get
Prev | kfifo interface | Next

## Name

kfifo_get — gets some data from the FIFO

## Synopsis

`unsigned int kfifo_get (` | struct kfifo * | fifo,
| unsigned char * | buffer,
| unsigned int | len`)`;

## Arguments

`fifo`

  the fifo to be used.

`buffer`

  where the data must be copied.

`len`

  the size of the destination buffer.

## Description

This function copies at most `len` bytes from the FIFO into the `buffer` and returns the number of copied bytes.

Prev | Up | Next
kfifo_put | Home | __kfifo_len